Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

Update to EAPI4 (which removes the need for depend.php)

  • Loading branch information...
commit 4dbc993e5c47ee41d30cfa3a4a241db074d0d52c 1 parent 2c7cb47
@mattibickel mattibickel authored
Showing with 5 additions and 13 deletions.
  1. +5 −13 www-apps/b2evolution/b2evolution-4.1.4.ebuild
View
18 www-apps/b2evolution/b2evolution-4.1.4.ebuild
@@ -2,7 +2,9 @@
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/www-apps/b2evolution/b2evolution-2.4.0_rc2.ebuild,v 1.3 2008/02/22 15:43:09 hollow Exp $
-inherit webapp eutils depend.php
+EAPI=4
+
+inherit webapp eutils
MY_EXT="stable-2012-04-03"
MY_PV=${PV/_/-}
@@ -15,25 +17,15 @@ LICENSE="GPL-2"
KEYWORDS="~amd64 ~x86"
IUSE=""
-RDEPEND=""
+RDEPEND="virtual/httpd-php
+ dev-lang/php[ctype,curl,mysql,tokenizer,xml]"
DEPEND="${RDEPEND}
app-arch/unzip"
need_httpd_cgi
-need_php_httpd
S="${WORKDIR}/${PN}"
-pkg_setup() {
- webapp_pkg_setup
- has_php
- if [[ ${PHP_VERSION} == "4" ]]; then
- require_php_with_use expat tokenizer mysql
- else
- require_php_with_use curl ctype xml tokenizer mysql
- fi
-}
-
src_install() {
webapp_src_preinst
Please sign in to comment.
Something went wrong with that request. Please try again.